package h.com.serialportapi.comn.CardBeans;

import java.io.Serializable;

/**
 * Created by hxd on 2019/1/3.
 */

public class UltralightCCard implements Serializable {

    private String TagType;
    private String SAK;
    private String UIDNumber;
    private String MemorySize;
    private String PageSize;
    private String NumberOfPages;
    private String APDU;
    private String Key;
    private String NewKey;
    private String PageAddr;
    private String ReadPage;
    private String WritePage;

    public String getTagType() {
        return TagType;
    }

    public void setTagType(String tagType) {
        TagType = tagType;
    }

    public String getSAK() {
        return SAK;
    }

    public void setSAK(String SAK) {
        this.SAK = SAK;
    }

    public String getUIDNumber() {
        return UIDNumber;
    }

    public void setUIDNumber(String UIDNumber) {
        this.UIDNumber = UIDNumber;
    }

    public String getMemorySize() {
        return MemorySize;
    }

    public void setMemorySize(String memorySize) {
        MemorySize = memorySize;
    }

    public String getPageSize() {
        return PageSize;
    }

    public void setPageSize(String pageSize) {
        PageSize = pageSize;
    }

    public String getNumberOfPages() {
        return NumberOfPages;
    }

    public void setNumberOfPages(String numberOfPages) {
        NumberOfPages = numberOfPages;
    }

    public String getAPDU() {
        return APDU;
    }

    public void setAPDU(String APDU) {
        this.APDU = APDU;
    }

    public String getKey() {
        return Key;
    }

    public void setKey(String key) {
        Key = key;
    }

    public String getNewKey() {
        return NewKey;
    }

    public void setNewKey(String newKey) {
        NewKey = newKey;
    }

    public String getPageAddr() {
        return PageAddr;
    }

    public void setPageAddr(String pageAddr) {
        PageAddr = pageAddr;
    }

    public String getReadPage() {
        return ReadPage;
    }

    public void setReadPage(String readPage) {
        ReadPage = readPage;
    }

    public String getWritePage() {
        return WritePage;
    }

    public void setWritePage(String writePage) {
        WritePage = writePage;
    }
}
